package com.casic.dcms.utils;

import android.graphics.SurfaceTexture;
import android.view.Surface;

import androidx.annotation.NonNull;

import cn.jzvd.JZMediaInterface;
import cn.jzvd.Jzvd;

/**
 * TODO 待完善
 */
public class JzExoMedia extends JZMediaInterface {

    private static final String TAG = "JzExoMedia";

    public JzExoMedia(Jzvd jzvd) {
        super(jzvd);
    }

    @Override
    public void start() {

    }

    @Override
    public void prepare() {

    }

    @Override
    public void pause() {

    }

    @Override
    public boolean isPlaying() {
        return false;
    }

    @Override
    public void seekTo(long time) {

    }

    @Override
    public void release() {

    }

    @Override
    public long getCurrentPosition() {
        return 0;
    }

    @Override
    public long getDuration() {
        return 0;
    }

    @Override
    public void setVolume(float leftVolume, float rightVolume) {

    }

    @Override
    public void setSpeed(float speed) {

    }

    @Override
    public void setSurface(Surface surface) {

    }

    @Override
    public void onSurfaceTextureAvailable(@NonNull SurfaceTexture surface, int width, int height) {

    }

    @Override
    public void onSurfaceTextureSizeChanged(@NonNull SurfaceTexture surface, int width, int height) {

    }

    @Override
    public boolean onSurfaceTextureDestroyed(@NonNull SurfaceTexture surface) {
        return false;
    }

    @Override
    public void onSurfaceTextureUpdated(@NonNull SurfaceTexture surface) {

    }
}